// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.12.4
// source: security/model/search-user.proto

package model

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type SearchUser struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id    string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Text  string `protobuf:"bytes,2,opt,name=text,proto3" json:"text,omitempty"`
	State string `protobuf:"bytes,3,opt,name=state,proto3" json:"state,omitempty"`
	Roles string `protobuf:"bytes,4,opt,name=roles,proto3" json:"roles,omitempty"`
}

func (x *SearchUser) Reset() {
	*x = SearchUser{}
	if protoimpl.UnsafeEnabled {
		mi := &file_security_model_search_user_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchUser) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchUser) ProtoMessage() {}

func (x *SearchUser) ProtoReflect() protoreflect.Message {
	mi := &file_security_model_search_user_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchUser.ProtoReflect.Descriptor instead.
func (*SearchUser) Descriptor() ([]byte, []int) {
	return file_security_model_search_user_proto_rawDescGZIP(), []int{0}
}

func (x *SearchUser) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *SearchUser) GetText() string {
	if x != nil {
		return x.Text
	}
	return ""
}

func (x *SearchUser) GetState() string {
	if x != nil {
		return x.State
	}
	return ""
}

func (x *SearchUser) GetRoles() string {
	if x != nil {
		return x.Roles
	}
	return ""
}

var File_security_model_search_user_proto protoreflect.FileDescriptor

var file_security_model_search_user_proto_rawDesc = []byte{
	0x0a, 0x20, 0x73, 0x65, 0x63, 0x75, 0x72, 0x69, 0x74, 0x79, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c,
	0x2f, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x2d, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x08, 0x73, 0x65, 0x63, 0x75, 0x72, 0x69, 0x74, 0x79, 0x22, 0x5c, 0x0a, 0x0a,
	0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x55, 0x73, 0x65, 0x72, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x65,
	0x78, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x65, 0x78, 0x74, 0x12, 0x14,
	0x0a, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x73,
	0x74, 0x61, 0x74, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x72, 0x6f, 0x6c, 0x65, 0x73, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x05, 0x72, 0x6f, 0x6c, 0x65, 0x73, 0x42, 0x72, 0x0a, 0x0c, 0x63, 0x6f,
	0x6d, 0x2e, 0x73, 0x65, 0x63, 0x75, 0x72, 0x69, 0x74, 0x79, 0x42, 0x0a, 0x53, 0x65, 0x61, 0x72,
	0x63, 0x68, 0x55, 0x73, 0x65, 0x72, 0x50, 0x01, 0x5a, 0x38, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x68, 0x61, 0x64, 0x6f, 0x77, 0x79, 0x2f, 0x73, 0x65, 0x69,
	0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x67, 0x6f, 0x2d, 0x63, 0x6f, 0x72, 0x65, 0x2d, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x2f, 0x73, 0x65, 0x63, 0x75, 0x72, 0x69, 0x74, 0x79, 0x2f, 0x6d, 0x6f, 0x64,
	0x65, 0x6c, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x08, 0x53, 0x65, 0x63, 0x75, 0x72,
	0x69, 0x74, 0x79, 0xca, 0x02, 0x08, 0x53, 0x65, 0x63, 0x75, 0x72, 0x69, 0x74, 0x79, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_security_model_search_user_proto_rawDescOnce sync.Once
	file_security_model_search_user_proto_rawDescData = file_security_model_search_user_proto_rawDesc
)

func file_security_model_search_user_proto_rawDescGZIP() []byte {
	file_security_model_search_user_proto_rawDescOnce.Do(func() {
		file_security_model_search_user_proto_rawDescData = protoimpl.X.CompressGZIP(file_security_model_search_user_proto_rawDescData)
	})
	return file_security_model_search_user_proto_rawDescData
}

var file_security_model_search_user_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_security_model_search_user_proto_goTypes = []interface{}{
	(*SearchUser)(nil), // 0: security.SearchUser
}
var file_security_model_search_user_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_security_model_search_user_proto_init() }
func file_security_model_search_user_proto_init() {
	if File_security_model_search_user_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_security_model_search_user_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchUser); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_security_model_search_user_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_security_model_search_user_proto_goTypes,
		DependencyIndexes: file_security_model_search_user_proto_depIdxs,
		MessageInfos:      file_security_model_search_user_proto_msgTypes,
	}.Build()
	File_security_model_search_user_proto = out.File
	file_security_model_search_user_proto_rawDesc = nil
	file_security_model_search_user_proto_goTypes = nil
	file_security_model_search_user_proto_depIdxs = nil
}
